Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685425 - [gluster-block]: Able to delete block hosting volumes without deleting block volumes [NEEDINFO]
Summary: [gluster-block]: Able to delete block hosting volumes without deleting block ...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Anjana Suparna Sriram
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 07:40 UTC by Rochelle
Modified: 2019-04-14 14:30 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
prasanna.kalever: needinfo? (rallan)


Attachments (Terms of Use)

Description Rochelle 2019-03-05 07:40:25 UTC
Description of problem:
=======================
I am able to delete a block hosting volume without deleting block volumes on an RHGS setup 
which is not how it works on a CRS set up. 
Deleting all block volumes before deleting a block hosting volume is what is expected. 


[root@dhcp43-168 scripts]# gluster vol create bhv1 replica 3  10.70.43.168:/rhs/brick1/vol1 10.70.42.46:/rhs/brick1/vol2 10.70.43.161:/rhs/brick1/vol3 force && gluster vol set bhv1 group gluster-block
volume create: bhv1: success: please start the volume to access data
volume set: success


[root@dhcp43-168 ~]# gluster-block create bhv1/bv1 ha 3 auth enable prealloc full 10.70.43.168,10.70.42.46,10.70.43.161 1GiB 
IQN: iqn.2016-12.org.gluster-block:640c065d-69d5-4024-b9ca-fb88c1303db4
USERNAME: 640c065d-69d5-4024-b9ca-fb88c1303db4
PASSWORD: 833de994-a54a-4e33-9147-a1042eb30b49
PORTAL(S):  10.70.43.168:3260 10.70.42.46:3260 10.70.43.161:3260
RESULT: SUCCESS


[root@dhcp43-168 gluster-block]# gluster v stop bhv1
Stopping volume will make its data inaccessible. Do you want to continue? (y/n) y
volume stop: bhv1: success

[root@dhcp43-168 gluster-block]# gluster v delete bhv1
Deleting volume will erase all information about the volume. Do you want to continue? (y/n) y
volume delete: bhv1: success

gluster v info bhv1/bv1
Volume bhv1/bv1 does not exist


While trying to create a new block hosting volume with the same block volume name (bv1), the output is
that exists when it actually does not. 



Version-Release number of selected component (if applicable):
============================================================
[root@dhcp43-168 gluster-block]# rpm -qa | grep gluster
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
glusterfs-client-xlators-3.12.2-45.el7rhgs.x86_64
glusterfs-rdma-3.12.2-45.el7rhgs.x86_64
glusterfs-server-3.12.2-45.el7rhgs.x86_64
glusterfs-libs-3.12.2-45.el7rhgs.x86_64
glusterfs-fuse-3.12.2-45.el7rhgs.x86_64
glusterfs-events-3.12.2-45.el7rhgs.x86_64
gluster-block-0.2.1-30.el7rhgs.x86_64
glusterfs-3.12.2-45.el7rhgs.x86_64
glusterfs-api-3.12.2-45.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-45.el7rhgs.x86_64
vdsm-gluster-4.19.43-2.3.el7rhgs.noarch
tendrl-gluster-integration-1.6.3-10.el7rhgs.noarch
glusterfs-cli-3.12.2-45.el7rhgs.x86_64
gluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
python2-gluster-3.12.2-45.el7rhgs.x86_64
libvirt-daemon-driver-storage-gluster-4.5.0-10.el7_6.3.x86_64


How reproducible:
=================
2/2

Steps to Reproduce:
===================
1. Create a block hosting volume
2. Create block volumes under that block hosting volume
3. Stop the block hosting volume
4. Delete the block hosting volume

Observation #1: The block hosting volume is deleted without having to delete the block volumes in it. 

Obervation #2: Once deleted, if you try and create a new block hosting volume with the same block volume name used previously, even though it does not exist, the error is that it fails to create because it already exists.

Comment 2 Prasanna Kumar Kalever 2019-03-05 07:49:30 UTC
This is expected right :-)
I have recently closed a similar bug as WONT-FIX. As we do not want to have any control on BHV from BV (gluster-block)

Rochelle, you should probably want to convert this as a doc bug.

Thanks!

Comment 5 Prasanna Kumar Kalever 2019-03-05 08:52:02 UTC
Rochelle,

Heketi maintain data in its db about BHV in use, if there any BV in them, then it don't allow the deletion of the BHV though heketi cli. How ever you can delete BHV with gluster cli command.
So, its not something the gluster-block care about, rather the top-layers(heketi)/admin has to keep track for BHV in use.

Comment 8 Prasanna Kumar Kalever 2019-03-13 06:40:09 UTC
Please convert this to a doc bug first.


Note You need to log in before you can comment on or make changes to this bug.